### Property

# Adw Dialog:presentation-mode

since: 1.5

#### Declaration

    property presentation-mode: Adw.DialogPresentationMode [ read, write ]

#### Description [src]

The dialog’s presentation mode.

When set to `ADW_DIALOG_AUTO`, the dialog appears as a bottom sheet when the following condition is met: `max-width: 450px or max-height: 360px`, and as a floating window otherwise.

Set it to `ADW_DIALOG_FLOATING` or `ADW_DIALOG_BOTTOM_SHEET` to always present it a floating window or a bottom sheet respectively, regardless of available size.

Presentation mode does nothing for dialogs presented as a window.

Type:`AdwDialogPresentationMode`

Available since: 1.5

Default value | ADW_DIALOG_AUTO
Getter method | `adw_dialog_get_presentation_mode()`
Setter method | `adw_dialog_set_presentation_mode()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no